#!/bin/sh
CSV="fedje.csv"
cp $CSV /tmp/$CSV
psql -U seadb -h localhost seadb_development <<EOF
CREATE TEMPORARY TABLE points_tmp (
  id int,
  point geometry(Point,3857)
);
COPY points_tmp FROM '/tmp/$CSV' WITH (FORMAT csv, HEADER);
CREATE INDEX ON points_tmp USING GIST (point);
SELECT
  Geometry(
    (
      ST_Dump(
        ST_CollectionExtract(
          ST_VoronoiPolygons(
            ST_Collect(point),
            0.0
          ),
          3
        )
      )
    ).geom
  ) AS poly
FROM points_tmp;
EOF
